package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PermApplyBillRolePermApplyFactory
{
    private PermApplyBillRolePermApplyFactory()
    {
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BAC40848") ,com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply.class);
    }
    
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BAC40848") ,com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply.class, objectCtx);
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BAC40848"));
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillRolePermApply)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BAC40848"));
    }
}